<?php
/*
Plugin Name: TPC! Memory Usage
Plugin URI: http://webjawns.com/
Description: Used to keep track of WordPress memory usage.
Version: 0.2.1
Author: Chris Strosser
Author URI: http://webjawns.com
*/

// Prevent direct calls to this file
if ( !function_exists('add_action') ) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}

// Create default key and status
add_option('tpc_memory_usage_location', 'footer');
add_option('tpc_memory_usage_graph', 'peak');
add_option('tpc_memory_usage_admin_footer', true);
add_option('tpc_memory_usage_log', 'high');
add_option('tpc_memory_usage_log_highest', array('dt' => time(), 'value' => '0'));
add_option('tpc_memory_usage_allowed_users', 'admin');

// Include required files
require_once('tpcmem.php');
require_once('tpcmem-functions.php');
require_once('tpcmem-formatting.php');

?>